Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Retrieves the status of an ML utterances import request made through the Import ML Utterances API.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/mlimport/status/{{MLutteranceID}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Utterances Import; Admin Console: Test and Train > Utterances Import

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIDRequiredStream ID of the bot to import the ML utterances into.
MLutteranceIDRequiredThe ID generated (in format Bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx) when calling the ML Utterances Import API.

Sample Request

curl -X GET 'https://{{host}}/api/public/bot/{{BotID}}/mlimport/status/{{MLutteranceID}}' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \

Body Parameters

No body parameters are passed.

Sample Response

{
    "_id": "bxx-7xxxxxxe-5xxb-5xx5-bxx5-88xxxxxxxxxx",
    "status": "success",
    "streamId": "sx-6exxxxxx-5xx1-5xx0-bxx8-8cxxxxxxxxxx",
    "createdBy": "u-5dxxxxxx-bxx1-5xx0-axx8-2exxxxxxxxxx",
    "requestType": "MLimport",
    "statusLogs": [],
    "createdOn": "2019-06-27T12:03:30.748Z",
    "__v": 0,
    "message": "File imported completed. 1 utterances copied successfully"
}